## libsamplerate 0.1.8

=== debian/changelog ===
libsamplerate (0.1.8-5) unstable; urgency=low

  * debian/rules: Purge *.la files after install.
  * debian/libsamplerate0-dev.install: Don't install *.la files.
  * debian/control: Standards version 3.9.3. No changes needed.

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Mon, 18 Jun 2012 19:39:35 +1000

libsamplerate (0.1.8-4) unstable; urgency=low

  * debian/control:
    - Standards version 3.9.2 (no changes needed).
    - Use Replaces instead of Replaces/Breaks (Closes: #657414).

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Sun, 11 Mar 2012 16:39:18 +1100

libsamplerate (0.1.8-3) unstable; urgency=low

  * samplerate-programs Fix Replaces/Breaks libsamplerate0 (<< 0.1.8)
    (Closes: #657414).

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Sun, 19 Feb 2012 10:52:28 +1100

libsamplerate (0.1.8-2) unstable; urgency=low

  * Enabling harden build flags.
  * samplerate-programs Replaces/Breaks libsamplerate0 (<< 0.1.8)
    (Closes: #657414:).

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Fri, 27 Jan 2012 20:07:43 +1100

libsamplerate (0.1.8-1) unstable; urgency=low

  * New upstream (Closes: #637691).
  * debian/patches/ : Remove uneeded patches (fixed upstream).
  * debian/control : Remove quilt from build-deps.

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Tue, 16 Aug 2011 18:32:49 +1000

libsamplerate (0.1.7-4) unstable; urgency=low

  * Patch from Steve Langasek to enable multiarch (Closes: #637588).
  * debian/control: Standards version 3.9.2 (no changes needed).
  * debian/rules:
    - Add build-arch and build-indep targets.
    - Force clearing of dependency_libs in libsamplerate.la.

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Sat, 13 Aug 2011 10:09:55 +1000

libsamplerate (0.1.7-3) unstable; urgency=low

  * debian/control :
    - New maintainer (Closes: #546788).
    - Add DM-Upload-Allowed yes.
    - Improved package descriptions.
    - Standards version to 3.8.3.
  * debian/patches/ debian/rules debian/control :
    - Use quilt instead of dpatch.
  * debian/rules :
    - Do not install example binary varispeed-play which was always intended as
      a coding demo rather than something usable.
  * Add file debian/README.source.
  * Add manpage for sndfile-resample.
  * Add a patch to fix termination condition bug (Closes: #539878).
  * Add patch to prevent crashing when input_frames == 0 (Closes: #506722).

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Wed,  7 Oct 2009 21:46:20 +1100

libsamplerate (0.1.7-2) unstable; urgency=low

  * Added callback_test.dpatch to correct rounding error in callback test,
    closes: #515658.

 -- Samuel Mimram <smimram@debian.org>  Tue, 17 Feb 2009 23:35:15 +0100

libsamplerate (0.1.7-1) unstable; urgency=low

  * New upstream release.
  * Use Homepage field.
  * Updated compat to 7.
  * Updated standards version to 3.8.0.

 -- Samuel Mimram <smimram@debian.org>  Mon, 16 Feb 2009 10:25:25 +0100

libsamplerate (0.1.4-1) unstable; urgency=low

  * New upstream release.

 -- Samuel Mimram <smimram@debian.org>  Mon, 14 Jul 2008 13:46:21 +0200

libsamplerate (0.1.3-1) unstable; urgency=low

  * New upstream release.
  * Updated standards version to 3.7.3, no changes needed.

 -- Samuel Mimram <smimram@debian.org>  Sat, 05 Apr 2008 15:28:40 +0200

libsamplerate (0.1.2-5) unstable; urgency=low

  * Using dpatch to handle patches.
  * Added api.dpatch to correct links in the documentation, closes: #423590.

 -- Samuel Mimram <smimram@debian.org>  Tue, 22 May 2007 22:06:50 +0200

libsamplerate (0.1.2-4) unstable; urgency=low

  * Correctly install varispeed-play, closes: #421422.

 -- Samuel Mimram <smimram@debian.org>  Sun, 29 Apr 2007 00:17:06 +0200

libsamplerate (0.1.2-3) unstable; urgency=low

  * Adopting the package, closes: #418081.
  * Rephrased samplerate-programs package description, closes: #345745.
  * Updated standards version to 3.7.2, no changes needed.

 -- Samuel Mimram <smimram@debian.org>  Sat, 07 Apr 2007 01:36:51 +0200

libsamplerate (0.1.2-2) unstable; urgency=low

  * Previous upload was rejected by ftp-master because they felt that
    having only a single binary in samplerate-programs was not a good
    idea.
  * Include all example programs instead.

 -- Anand Kumria <wildfire@progsoc.org>  Sat, 26 Nov 2005 09:44:31 +1100

libsamplerate (0.1.2-1) unstable; urgency=low

  * New upstream release (Closes: #333478)
  * Include sample programs (Closes: #297138)
  * Install all docs (Closes: #275390)

 -- Anand Kumria <wildfire@progsoc.org>  Wed, 26 Oct 2005 14:21:42 +1000

libsamplerate (0.1.1-2) unstable; urgency=low

  * Install documentation (Closes: #262921)

 -- Anand Kumria <wildfire@progsoc.org>  Mon, 23 Aug 2004 09:27:09 +1000

libsamplerate (0.1.1-1) unstable; urgency=low

  * New upstream release

 -- Anand Kumria <wildfire@progsoc.org>  Sat, 31 Jul 2004 18:15:20 +1000

libsamplerate (0.1.0-2) unstable; urgency=low

  * Include upstreams documentation

 -- Anand Kumria <wildfire@progsoc.org>  Wed, 17 Mar 2004 01:47:49 +1100

libsamplerate (0.1.0-1) unstable; urgency=low

  * New upstream release

 -- Anand Kumria <wildfire@progsoc.org>  Tue, 16 Mar 2004 23:29:17 +1100

libsamplerate (0.0.15-2) unstable; urgency=low

  * Depend upon pkg-config (Closes: #197638)

 -- Anand Kumria <wildfire@progsoc.org>  Mon, 30 Jun 2003 00:08:30 +1000

libsamplerate (0.0.15-1) unstable; urgency=low

  * New upstream version
  * Switch to libdevel

 -- Anand Kumria <wildfire@progsoc.org>  Sat,  3 May 2003 21:59:33 +1000

libsamplerate (0.0.14-1) unstable; urgency=low

  * New upstream release
  * Update to policy 3.5.8.0

 -- Anand Kumria <wildfire@progsoc.org>  Sun, 23 Mar 2003 12:17:37 +1100

libsamplerate (0.0.13-3) unstable; urgency=low

  * Fix speeling (Closes: #172484)
  * Improve description
  * Add dependancy on libsndfile1 and perform 'make check'

 -- Anand Kumria <wildfire@progsoc.org>  Wed, 25 Dec 2002 12:58:43 +1100

libsamplerate (0.0.13-2) unstable; urgency=low

  * Provide .la and pkgconfig files

