=== debian/control ===
Source: libsamplerate
Section: sound
Priority: optional
Maintainer: Erik de Castro Lopo <erikd@mega-nerd.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>> 8.1.3), fftw3-dev, libsndfile1-dev
Standards-Version: 3.9.3
Homepage: http://www.mega-nerd.com/SRC/

Package: libsamplerate0
Section: libs
Replaces: samplerate-programs (<< 0.1.8-3)
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Audio sample rate conversion library
 libsamplerate (aka Secret Rabbit Code) is a library for audio rate conversion.
 .
 libsamplerate currently provides three different sample rate conversion
 algorithms; zero order hold, linear interpolation and FIR filter interpolation
 (using filters derived from the mathematical SINC function). The first two
 algorithms (zero order hold and linear) are included for completeness and are
 not recommended for any application where high quality sample rate conversion
 is required. For the FIR/Sinc algorithm, three converters are provided;
 SRC_SINC_FASTEST, SRC_SINC_MEDIUM_QUALITY and SRC_SINC_BEST_QUALITY to allow a
 trade off between conversion speed and conversion quality.
 .
 libsamplerate is capable of downsampling to 1/256 of the original sample rate
 and upsampling to 256 times the original sample rate. It is also capable of
 time varying conversions for vary speed effects and synchronising of two
 unlocked sample rates.

Package: libsamplerate0-dev
Provides: libsamplerate-dev
Conflicts: libsamplerate-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libsamplerate0 (= ${binary:Version}), pkg-config
Description: Development files for audio sample rate conversion
 libsamplerate (aka Secret Rabbit Code) is a library for audio rate conversion.
 .
 libsamplerate currently provides three different sample rate conversion
 algorithms; zero order hold, linear interpolation and FIR filter interpolation
 (using filters derived from the mathematical SINC function). The first two
 algorithms (zero order hold and linear) are included for completeness and are
 not recommended for any application where high quality sample rate conversion
 is required. For the FIR/Sinc algorithm, three converters are provided;
 SRC_SINC_FASTEST, SRC_SINC_MEDIUM_QUALITY and SRC_SINC_BEST_QUALITY to allow a
 trade off between conversion speed and conversion quality.
 .
 libsamplerate is capable of downsampling to 1/256 of the original sample rate
 and upsampling to 256 times the original sample rate. It is also capable of
 time varying conversions for vary speed effects and synchronising of two
 unlocked sample rates.
 .
 This package contains the library header files and API documentation.

Package: samplerate-programs
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libsamplerate0 (<< 0.1.8-3)
Description: Sample programs that use libsamplerate
 This package contains simple example programs for resampling sound files with
 the libsamplerate library.
 .
 Currently, the only binary included is sndfile-resample which uses libsndfile
 to read and write audio files and libsamplerate to do the rate conversion.
