=== debian/watch ===
version=3

http://www.mega-nerd.com/SRC/download.html libsamplerate-([\d\.]+)\.tar\.gz
