=== debian/control ===
--- 
+++ 
@@ -1,10 +1,14 @@
 Source: libsamplerate
 Section: sound
 Priority: optional
-Maintainer: Erik de Castro Lopo <erikd@mega-nerd.com>
-DM-Upload-Allowed: yes
-Build-Depends: debhelper (>> 8.1.3), fftw3-dev, libsndfile1-dev
-Standards-Version: 3.9.3
+Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Uploaders:
+ IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
+Build-Depends:
+ debhelper (>=10~),
+ fftw3-dev,
+ libsndfile1-dev,
+Standards-Version: 4.0.1
 Homepage: http://www.mega-nerd.com/SRC/
 
 Package: libsamplerate0
@@ -13,7 +17,9 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: Audio sample rate conversion library
  libsamplerate (aka Secret Rabbit Code) is a library for audio rate conversion.
  .
@@ -37,7 +43,10 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, libsamplerate0 (= ${binary:Version}), pkg-config
+Depends:
+ ${misc:Depends},
+ libsamplerate0 (= ${binary:Version}),
+ pkg-config,
 Description: Development files for audio sample rate conversion
  libsamplerate (aka Secret Rabbit Code) is a library for audio rate conversion.
  .
@@ -60,7 +69,9 @@
 Package: samplerate-programs
 Section: utils
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Replaces: libsamplerate0 (<< 0.1.8-3)
 Description: Sample programs that use libsamplerate
  This package contains simple example programs for resampling sound files with
