## libsamplerate 0.2.1+ds0

=== debian/changelog ===
libsamplerate (0.2.1+ds0-1) unstable; urgency=medium

  * New upstream version 0.2.1+ds0

  [ IOhannes m zmölnig ]
  * Drop patches applied upstream
  * Update symbols-file
    * Add new symbols
    * Add Build-Depends-Package to symbols-file
  * Make samplerate-programs a transitional package
    * it's been superseded by sndfile-tools
  * Mark libsamplerate.la as not-installed
  * API documentation is now in md, rather than html
  * Add salsa-ci configuration
  * Drop obsolete d/source/local-options
  * Declare that building this package does not require 'root' powers.
  * Update d/watch 
    * Use upstream's github repository
    * Add repacksuffix
  * Refresh d/copyright
    * Exclude repository configuration from upstream sources
    * Regenerate d/copyright_hints
    * Exclude png-files from licensecheck
  * Bump dh-compat to 13
  * Bump standards version to 4.5.1

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database.
  * Set upstream metadata fields: Bug-Submit, Repository, Repository-
    Browse.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 23 Jan 2021 20:27:57 +0100

libsamplerate (0.1.9-2) unstable; urgency=medium

  * Added Vcs-* stanzas (Closes: #888665)
  * Updated maintainer address
  * Bumped standards version to 4.1.3

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 04 Mar 2018 20:46:43 +0100
