=== debian/control ===
--- 
+++ 
@@ -1,15 +1,18 @@
 Source: libsamplerate
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
- debhelper (>=10~),
+ debhelper-compat (= 13),
  fftw3-dev,
  libsndfile1-dev,
-Standards-Version: 4.0.1
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
 Homepage: http://www.mega-nerd.com/SRC/
+Vcs-Git: https://salsa.debian.org/multimedia-team/libsamplerate.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/libsamplerate
 
 Package: libsamplerate0
 Section: libs
@@ -67,15 +70,9 @@
  This package contains the library header files and API documentation.
 
 Package: samplerate-programs
-Section: utils
-Architecture: any
-Depends:
- ${misc:Depends},
- ${shlibs:Depends},
-Replaces: libsamplerate0 (<< 0.1.8-3)
-Description: Sample programs that use libsamplerate
- This package contains simple example programs for resampling sound files with
- the libsamplerate library.
- .
- Currently, the only binary included is sndfile-resample which uses libsndfile
- to read and write audio files and libsamplerate to do the rate conversion.
+Section: oldlibs
+Architecture: all
+Depends: ${misc:Depends},
+ sndfile-tools (>= 1.04),
+Description: Sample programs that use libsamplerate - Transitional package
+ This is a transitional package. It can safely be removed.
