=== debian/control ===
--- 
+++ 
@@ -1,25 +1,27 @@
 Source: libsamplerate
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- fftw3-dev,
+ libfftw3-dev,
  libsndfile1-dev,
-Standards-Version: 4.5.1
+ pkg-config,
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Homepage: http://www.mega-nerd.com/SRC/
+Homepage: https://libsndfile.github.io/libsamplerate/
 Vcs-Git: https://salsa.debian.org/multimedia-team/libsamplerate.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/libsamplerate
 
 Package: libsamplerate0
 Section: libs
-Replaces: samplerate-programs (<< 0.1.8-3)
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
+Pre-Depends:
+ ${misc:Pre-Depends},
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
@@ -41,15 +43,17 @@
  unlocked sample rates.
 
 Package: libsamplerate0-dev
-Provides: libsamplerate-dev
-Conflicts: libsamplerate-dev
+Provides:
+ libsamplerate-dev,
+Conflicts:
+ libsamplerate-dev,
 Section: libdevel
 Architecture: any
 Multi-Arch: same
 Depends:
- ${misc:Depends},
  libsamplerate0 (= ${binary:Version}),
  pkg-config,
+ ${misc:Depends},
 Description: Development files for audio sample rate conversion
  libsamplerate (aka Secret Rabbit Code) is a library for audio rate conversion.
  .
@@ -68,11 +72,3 @@
  unlocked sample rates.
  .
  This package contains the library header files and API documentation.
-
-Package: samplerate-programs
-Section: oldlibs
-Architecture: all
-Depends: ${misc:Depends},
- sndfile-tools (>= 1.04),
-Description: Sample programs that use libsamplerate - Transitional package
- This is a transitional package. It can safely be removed.
